.TH "PlotWindow" 3 "AlatZaAnalitiku" \" -*- nroff -*-
.ad l
.nh
.SH NAME
PlotWindow
.SH SYNOPSIS
.br
.PP
.PP
\fR#include <plotwindow\&.h>\fP
.PP
Inherits QMainWindow\&.
.SS "Public Slots"

.in +1c
.ti -1c
.RI "void \fBon_cbGraph_currentTextChanged\fP (const QString &arg1)"
.br
.ti -1c
.RI "void \fBdrawDummie\fP (const QString &arg1)"
.br
.ti -1c
.RI "void \fBdrawGraph\fP (const QString &arg1)"
.br
.ti -1c
.RI "void \fBon_btnMakePlot_clicked\fP ()"
.br
.ti -1c
.RI "void \fBrefreshColor\fP (const QColor &color)"
.br
.in -1c
.SS "Public Member Functions"

.in +1c
.ti -1c
.RI "\fBPlotWindow\fP (QWidget *parent=nullptr, QLayout *_parentLayout=nullptr)"
.br
.ti -1c
.RI "\fB~PlotWindow\fP ()"
.br
.in -1c
.SS "Public Attributes"

.in +1c
.ti -1c
.RI "\fBDataFrame\fP \fBdata\fP"
.br
.in -1c
.SS "Private Slots"

.in +1c
.ti -1c
.RI "void \fBon_btnColor_clicked\fP ()"
.br
.in -1c
.SS "Private Member Functions"

.in +1c
.ti -1c
.RI "void \fBsetupNum\fP ()"
.br
.ti -1c
.RI "void \fBsetupCat\fP ()"
.br
.ti -1c
.RI "void \fBsetupOne\fP ()"
.br
.ti -1c
.RI "void \fBsetupTwo\fP ()"
.br
.ti -1c
.RI "void \fBsetupHideAll\fP ()"
.br
.ti -1c
.RI "QChart * \fBgetChartFromConfig\fP ()"
.br
.in -1c
.SS "Private Attributes"

.in +1c
.ti -1c
.RI "Ui::PlotWindow * \fBui\fP"
.br
.ti -1c
.RI "QComboBox * \fB_cbSender\fP"
.br
.ti -1c
.RI "QLayout * \fB_parrentLayout\fP"
.br
.ti -1c
.RI "QChartView * \fB_graph\fP"
.br
.ti -1c
.RI "QColorDialog * \fBcurrentChartColor\fP"
.br
.ti -1c
.RI "QWidget * \fB_targetParent\fP"
.br
.in -1c
.SH "Constructor & Destructor Documentation"
.PP 
.SS "PlotWindow::PlotWindow (QWidget * parent = \fRnullptr\fP, QLayout * _parentLayout = \fRnullptr\fP)"

.SS "PlotWindow::~PlotWindow ()"

.SH "Member Function Documentation"
.PP 
.SS "void PlotWindow::drawDummie (const QString & arg1)\fR [slot]\fP"

.SS "void PlotWindow::drawGraph (const QString & arg1)\fR [slot]\fP"

.SS "QChart * PlotWindow::getChartFromConfig ()\fR [private]\fP"

.SS "void PlotWindow::on_btnColor_clicked ()\fR [private]\fP, \fR [slot]\fP"

.SS "void PlotWindow::on_btnMakePlot_clicked ()\fR [slot]\fP"

.SS "void PlotWindow::on_cbGraph_currentTextChanged (const QString & arg1)\fR [slot]\fP"

.SS "void PlotWindow::refreshColor (const QColor & color)\fR [slot]\fP"

.SS "void PlotWindow::setupCat ()\fR [private]\fP"

.SS "void PlotWindow::setupHideAll ()\fR [private]\fP"

.SS "void PlotWindow::setupNum ()\fR [private]\fP"

.SS "void PlotWindow::setupOne ()\fR [private]\fP"

.SS "void PlotWindow::setupTwo ()\fR [private]\fP"

.SH "Member Data Documentation"
.PP 
.SS "QComboBox* PlotWindow::_cbSender\fR [private]\fP"

.SS "QChartView* PlotWindow::_graph\fR [private]\fP"

.SS "QLayout* PlotWindow::_parrentLayout\fR [private]\fP"

.SS "QWidget* PlotWindow::_targetParent\fR [private]\fP"

.SS "QColorDialog* PlotWindow::currentChartColor\fR [private]\fP"

.SS "\fBDataFrame\fP PlotWindow::data"

.SS "Ui::PlotWindow* PlotWindow::ui\fR [private]\fP"


.SH "Author"
.PP 
Generated automatically by Doxygen for AlatZaAnalitiku from the source code\&.
